DefinedType (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.DefinedType,DefinedType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class DefinedType

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.TypeEntry
                  |
                  +--org.apache.axis.wsdl.symbolTable.Type
                        |
                        +--org.apache.axis.wsdl.symbolTable.DefinedType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollectionType

public class DefinedType
extends Type

This Type is for a QName that is a complex or simple type, these types are always emitted.

See Also:
  Serialized Form

Field Summary
`protected TypeEntry` | `extensionBase`

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`dims, isBaseType, isSimpleType, node, onlyLiteralReference, refType, undefined`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`DefinedType(QName pqName, org.w3c.dom.Node pNode)`
`DefinedType(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)`

Method Summary
`TypeEntry` | `getComplexTypeExtensionBase(SymbolTable symbolTable)` Get a TypeEntry for the base type of this type, if one exists.

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getDimensions, getNode, getRefType, getUndefinedTypeRef, isBaseType, isOnlyLiteralReferenced, isSimpleType, setOnlyLiteralReference, setRefType, setSimpleType, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### extensionBase

    protected TypeEntry extensionBase

Constructor Detail

### DefinedType

    public DefinedType(QName pqName,
                       org.w3c.dom.Node pNode)

### DefinedType

    public DefinedType(QName pqName,
                       TypeEntry refType,
                       org.w3c.dom.Node pNode,
                       java.lang.String dims)

Method Detail

### getComplexTypeExtensionBase

    public TypeEntry getComplexTypeExtensionBase(SymbolTable symbolTable)

  Get a TypeEntry for the base type of this type, if one exists.

  Parameters:
    `symbolTable` - a `SymbolTable` value
  Returns:
    a `TypeEntry` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.